<script setup lang="ts">
import { useAuthStore } from '@/stores/auth'
import type { User } from '@/types/User'
import { computed, onMounted, ref } from 'vue'

const userStore = useAuthStore()

onMounted(() => {
  userStore.getCurrentUser()
})

const isBranch = computed(() => {
  const currentUser: User | null = userStore.getCurrentUser()
  if (currentUser !== null && currentUser !== undefined) {
    return currentUser.branch.id
  }
  return false
})
const isOwner = computed(() => {
  const currentUser: User | null = userStore.getCurrentUser()
  if (currentUser !== null && currentUser !== undefined) {
    return currentUser.roles.some((role) => role.name === 'Owner')
  }
  return false
})
const tab1 = ref('')
const tab = ref(null)
</script>
<template>
  <v-tabs v-model="tab1" align-tabs="center" color="deep-purple-accent-4">
    <div>
      <v-tab style="color: black" :to="{ name: 'stock' }">Stock</v-tab>
      <v-tab style="color: black" :to="{ name: 'check-stock' }">Check Stock</v-tab>
      <v-tab style="color: black" :to="{ name: 'order-stock' }">Order Stock</v-tab>
      <v-tab style="color: black" :to="{ name: 'graph-stock' }">Graph</v-tab>
      <v-tab style="color: black" :to="{ name: 'report-stock' }">Report</v-tab>
    </div>
  </v-tabs>
  <br />
  <br />
  <h1 style="text-align: center">Branch</h1>
  <v-tabs v-model="tab" align-tabs="center" color="deep-purple-accent-4">
    <v-tab
      :value="1"
      style="color: black"
      class="custom-tab"
      :to="{ name: 'graph-branch1stock' }"
      :disabled="isBranch != 1 && isOwner !== true"
      >Branch-1</v-tab
    >
    <v-tab
      :value="2"
      style="color: black"
      class="custom-tab"
      :to="{ name: 'graph-branch2stock' }"
      :disabled="isBranch != 2 && isOwner !== true"
      >Branch-2</v-tab
    >
    <v-tab
      :value="3"
      style="color: black"
      class="custom-tab"
      :to="{ name: 'graph-branch3stock' }"
      :disabled="isBranch != 3 && isOwner !== true"
      >Branch-3</v-tab
    >
  </v-tabs>
</template>

<style scoped>
.v-btn {
  width: 235px;
  height: 90px;
  color: white;
  font-family: 'Kanit';
}
* {
  font-family: 'Kanit';
}
.left-half {
  height: 100%;
  background-color: #f0f0f0;
}
.right-half {
  height: 100%;
  background-color: grey;
}
</style>
